0.43.0-rc.1升级遇到的一个坑

原创
2017/03/19 22:39
阅读数 173

nodejs start的时候出异常提示#13017

Unable to resolve module react/lib/ReactDebugCurrentFrame from 
....\node_modules\react-native\Libraries\Renderer\src\renderers\shared\stack\reconciler\ReactCompositeComponent.js
: Module does not exist in the module map or in these directories:
...\node_modules\react\lib

按照提示跑到另外一个issues,clean cache、reset npm搞到最后重装nodejs都木有解决问题。

尼玛是没细看出错信息

npm WARN react-native@0.43.0-rc.1 requires a peer of react@~16.0.0-alpha.3 but none was installed.

按照说明更新react版本,即可

npm install -save react@~16.0.0-alpha.3

 

 

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部